diff mbox

[2/7,v4] support/scripts: check the config snippet exists

Message ID 7ccab625829fd6ffb0487f067c4267a6b3e3f82b.1486911180.git.yann.morin.1998@free.fr
State Accepted
Headers show

Commit Message

Yann E. MORIN Feb. 12, 2017, 2:53 p.m. UTC
Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
---
 support/scripts/test-pkg | 3 +++
 1 file changed, 3 insertions(+)

Comments

Thomas Petazzoni Feb. 12, 2017, 3:02 p.m. UTC | #1
Hello,

On Sun, 12 Feb 2017 15:53:06 +0100, Yann E. MORIN wrote:
> Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
> ---
>  support/scripts/test-pkg | 3 +++
>  1 file changed, 3 insertions(+)

Applied to master, after adjusting the commit title to
support/test-pkg, in order to be consistent with other patches in the
series.

Thomas
diff mbox

Patch

diff --git a/support/scripts/test-pkg b/support/scripts/test-pkg
index 9066fa0..11ec18c 100755
--- a/support/scripts/test-pkg
+++ b/support/scripts/test-pkg
@@ -39,6 +39,9 @@  main() {
     if [ -z "${cfg}" ]; then
         printf "error: no config snippet specified\n" >&2; exit 1
     fi
+    if [ ! -e "${cfg}" ]; then
+        printf "error: %s: no such file\n" "${cfg}" >&2; exit 1
+    fi
     if [ -z "${dir}" ]; then
         dir="${HOME}/br-test-pkg"
     fi